
%global meadversion 7.3.0
%global namedversion 7.3.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-transaction-spi}
%{!?scl:%global pkg_name %{name}}

%define maven_version 7.3.0.Final-redhat-1

Name:           %{?scl_prefix}jboss-transaction-spi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Transaction SPI
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-transaction-spi-7.3.0.Final-redhat-1-scm-sources.zip
Source102: jboss-transaction-spi-7.3.0.Final-redhat-1-sources.jar
Source103: jboss-transaction-spi-7.3.0.Final-redhat-1.pom
Source104: jboss-transaction-spi-7.3.0.Final-redhat-1-project-sources.tar.gz
Source105: jboss-transaction-spi-7.3.0.Final-redhat-1-javadoc.jar
Source106: jboss-transaction-spi-7.3.0.Final-redhat-1.jar
%endif

URL:            http://www.jboss.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-transaction-spi-%{version}-%{release}-root

%description
JBoss Transaction SPI

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-transaction-spi
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-transaction-spi -T -b 100

%build

%install
rm -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/jboss-transaction-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-transaction-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-transaction-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)


# javadoc
%if %with javadoc
%{__unzip} -qq %{_sourcedir}/jboss-transaction-spi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-transaction-spi-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-transaction-spi-%{namedversion}/META-INF
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-transaction-spi
%defattr(0644,root,root,0755)
%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
%{_javadir}/jboss-transaction-spi.jar
%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar
%{_javadir}/jboss-transaction-spi-sources.jar
%if %with javadoc
%{_javadir}/jboss-transaction-spi-%{namedversion}-javadoc.jar
%{_javadir}/jboss-transaction-spi-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-transaction-spi-%{namedversion}
%{_javadocdir}/jboss-transaction-spi
%endif

%changelog
* Fri Aug 07 2015 Hui Wang <huwang@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Upgrade to 7.3.0.Final-redhat-1

* Mon Jul 20 2015 Hui Wang <huwang@redhat.com> - 7.1.1-1.Final_redhat_1.1
- Upgrade to 7.1.1.Final-redhat-1

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-2.Final_redhat_1.1
- Re-wrap for all RHEL versions

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-1.Final_redhat_1.1
- 7.1.0.Final mead-scheduler

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-1.Final_redhat_1.1
- 7.1.0.Final mead-scheduler

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-1.Final_redhat_1.1
- 7.1.0.Final mead-scheduler

* Mon Mar 24 2014 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-1.Final_redhat_1
- 7.1.0.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.10.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:7.0.0-0.9.Final_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.8.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.8.Final_redhat_1.1
- Rebuild using cache signing

* Mon Jun 18 2012 Martha Benitez <mbenitez@redhat.com> - 0:7.0.0-0.8.Final_redhat_1
- Build in MEAD

* Fri Jun 15 2012 Martha Benitez <mbenitez@redhat.com> - 0:7.0.0-0.7.Final_redhat_1
- First build with jboss-transaction-spi name

* Tue Mar 27 2012 David Walluck <dwalluck@redhat.com> 0:7.0.0-0.6
- remove bad depmap file
- fix mvn command
- javadoc requires jpackage-utils
- fix repolib file ownership

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.5.Final_redhat_1.1
- Rebuild using cache signing

* Mon Feb 20 2012 Lin Gao <lgao@redhat.com> 0:7.0.0-0.5.Final_redhat_1
- Upgrade to 7.0.0.Final
- Fix dependnecy from jboss-connector-api_1.5_spec to jboss-connector-api_1.6_spec
- Fix depmap
- Change jar files location

* Mon Feb 06 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-0.4.CR1_redhat_1
- Fix pom patch

* Tue Feb 02 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-0.3.CR1_redhat_1
- Update pom patch
- Adjust BR/R
- Cleanup

* Sun Sep 18 2011 Lin Gao <lgao@redhat.com> - 0:7.0.0-0.2.CR1_redhat_1
- wolf build phrase

* Fri Jul 08 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.CR1
- Upgrade to 7.0.0.CR1

* Fri Jun 03 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.3.CR1
- Remove BR/R jboss-aop2

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.2.CR1
- Fix name of subpackages
- Add BR/R gnu-trove

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.1.CR1
- Upgrade to 6.0.0.CR1

* Mon Nov 29 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2.SP1.5
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin
- Change to javadoc:aggreagate

* Tue Aug 10 2010 Yiqiao Wang <yiwang@redhat.com> - 0:5.1.0-2.SP1.4.1.2
- Change R from jacorb to jacorb-jboss

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2.SP1.4.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com>  0:5.1.0-2.SP1.4.1
- Rebuild 
- Fix depmap entry for dtdparser 

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.4
- Add sources.jar as artifact in component-info.xml

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.3
- Update component-info.xml

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.2
- Add sources.jar
- Add poms to repolib
- Add jboss-jca-spi as an artifact in c-i.xml

* Tue Jul 21 2009 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-2.SP1.1
- Change Release to include reltag

* Tue Jul 21 2009 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-2.1
- Upgrade to SP1

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-2
- add repolib
- use jboss APIs to work around issue with jta alternative

* Thu Jun 11 2009 Ralph Apel <r.apel@r-apel.de> - 0:5.1.0-1.jpp5
- first release

